Web sdk 1.7.9 update - invalid signature/wasm file error when setZoomJSLib

Description
I am getting this error when integrating into my web app. It used to work fine before the 1.7.9 update.
I have also tried going back to the original code. but that leads to a different net:err 403 blocked which leads to wasm file error when I setZoomJSLib as 1.7.8, so I had to update to 1.7.9
ZoomMtg.setZoomJSLib(‘https://source.zoom.us/1.7.8/lib’, ‘/av’) results in the error above.
I am using the sample ruby code given in the documentation to generate the signature for the meeting.
Getting signature invalid error and when I’m using 1.7.9 with the code I had for 1.7.8 and the page is just black after I join.
I am importing the module locally and using.

Error
The full error message or issue you are running into.
{method: “join”, status: false, result: “Invalid signature.”, errorMessage: “Signature is invalid.”, errorCode: 3712} errorCode: 3712 errorMessage: “Signature is invalid.” method: “join” result: “Invalid signature.” status: false

Version: zoomus/websdk 1.7.9

Do i need to purchase or upgrade to pro account to resolve this issue?
To Reproduce(If applicable)
when a user is joining a meeting-> getting blank screen due to wasm files error or getting invalid signature error
I would like to use the previous version itself, but getting net ERR blocked by client when loading the audio files
Screenshots
Screenshot 2020-07-02 at 19.29.09
Smartphone (please complete the following information):

  • Device: [e.g. iPhone6]
  • OS: [e.g. iOS8.1]
  • Version: [e.g. 22]
  • Browser:[e.g. Chrome]

Additional context

Hey @prasanna8,

Can you share your Web SDK signature so I can debug?

Thanks,
Tommy

Update: Found a thread. @deepak2’s code Invalid Signature with Sample Web App helped me solve this issue.

2 Likes

Hi,

I also have this issue but can’t see how @prasanna8 code has resolved it?

I’m just using the CDN example from the zoom site and I get this same error? Surely it should work without recoding the signature function?

Any help would be very gratefully received.

Thanks,
Jamie

Hey @prasanna8,

Happy to hear you resolved the issue! :slight_smile:

Thanks,
Tommy

Hey @jamie.reynolds,

Please post your Web SDK signature here so I can debug.

Thanks,
Tommy

Thanks for responding. I actually realised my issue was due to having the wrong app type. JWK key fixed it.

Although I’ve had few other issues. With 1.7.9 I get the recaptcha but half the time I get a false incognito error. And if I role back to 17.8 I get issues with the browser being reported as old and not supporting audio. I’m on a mac btw.

Thanks,
Jamie

Hey @jamie.reynolds,

Checkout the solution solution to the recaptcha issue here:

You can also fill out this form to request recaptcha be not required for 1.7.9+

Thanks,
Tommy

Hi, I’m also getting same error of running sample app with the pro version api key and secret key and running in local showing signature is invalid, i cannot able to run as host meeting, can you please help me out this.

  1. errorCode: 3712
  2. errorMessage: “Signature is invalid.”
  3. method: “join”
  4. result: “Invalid signature.”
  5. status: false

Hey @mohana.venu,

Please share your Web SDK signature for a test meeting so I can help debug.

Thanks,
Tommy

Hi @tommy

This is my signature using and the role 1
blk3eDRBSGlSSkNXYXlfYTEzbEVsdy44MTkxNTE5MTAwLjE1OTc4MDg2OTQwMDQuMS5EZlVmK1FXMWdxT28yeXg0MHFOaUVCaVRSMlhkL2dwemM2TG9vMVdHWkdzPQ

Hey @tommy,

I am also facing the same issue. I have purchased a Pro plan on Zoom but I am still getting the invalid Signature error

My Meeting Signature
aGhJakhxdVdUb3V4dU9idHdhcGpZQS43MjYxOTk0ODgxMy4xNTk3NzczMzg2MDAwLjEuc01KREUvQWFnbzhNQXVySDlVK0Y5bjBmUm10clZObkMvQUFEYys4ZGRoQT0

@tommy I am also getting the same error as mohana. I am trying with the sample-web-app and using websdk keys. Here is my signature which I copied from my browser console.

ckVGcUVtek5jNmdodk95QWxYMFlOMzB6Z0VkTnFoVzFQZ1p0LjkyMjAxNzg2OTAzLjE1OTc4MzM1OTYwNzAuMC5tVThBelJDV0dqSnp0dFlNTDNNd2RiU1dMaTVVUXVRR3c2cVJnWnZONlR3PQ

Hey @dinesh.patil,

You are using SDK App Credentials, you need to use JWT App Credentials.

Thanks,
Tommy

Hey @ashwin.parihar, @mohana.venu,

Your signatures look correct, however, It appears you are trying to start meetings (passing in role 1) you do not own.

The Web SDK can only start meetings owned by the same Zoom org account that owns the JWT App.

Thanks,
Tommy

@tommy, I have already tried that. But in that case I get API key length error.

Hey @tommy,

I have a SaaS app, which allows ours users to create a Zoom Meeting after oAuth Login, neither they know how to create a JWT app, nor I can ask them to create one.

Tell me how can my users start their Zoom Meeting (WebSDK) from my web app, after oAuth Login.

Hey @dinesh.patil,

What version of the Web SDK are you using? Please try using version 1.7.10 and your JWT App. If you are still having issues, please create a new topic and fill out the post template so we have enough info to help. :slight_smile:

Thanks,
Tommy

Hey @ashwin.parihar,

Please see my post here:

Thanks,
Tommy

Hi, could you check what’s going on with my signature
cGQ3M1UwVklUeWgxcGRCYWI1eHFPbXJoWFI5WTh3NFJNTkg4Ljk2MDM4NzcxMTY2LjE1OTkwNTc2NjkxOTIuMC5zUSs2SC9iYjdETWlQaXYvYnc1d0ZQZllDbjNzV2FZNHlnTzdPZVROVTg4PQ

I see the same error. Thanks